	.file	"uniform.c"
	.text
.Ltext0:
	.file 0 "/var/home/ehret/DEVELOP/3D/FLYSIMU/C" "CONF/uniform.c"
	.globl	location
	.bss
	.align 4
	.type	location, @object
	.size	location, 4
location:
	.zero	4
	.globl	vertShader
	.align 32
	.type	vertShader, @object
	.size	vertShader, 32
vertShader:
	.zero	32
	.globl	fragShader
	.align 32
	.type	fragShader, @object
	.size	fragShader, 32
fragShader:
	.zero	32
	.globl	shaderProgram
	.align 4
	.type	shaderProgram, @object
	.size	shaderProgram, 4
shaderProgram:
	.zero	4
	.section	.rodata
.LC0:
	.string	" COULD NOT LOAD SHADER! "
.LC1:
	.string	" ERROR BY READ! "
	.text
	.globl	ProgramSize
	.type	ProgramSize, @function
ProgramSize:
.LFB6:
	.file 1 "CONF/uniform.c"
	.loc 1 35 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$56, %rsp
	.cfi_offset 15, -24
	.cfi_offset 14, -32
	.cfi_offset 13, -40
	.cfi_offset 12, -48
	.cfi_offset 3, -56
	movq	%rdi, -88(%rbp)
	.loc 1 35 1
	movq	%rsp, %rax
	movq	%rax, %rbx
	.loc 1 37 16
	movq	$-1, -56(%rbp)
	.loc 1 40 16
	movq	-88(%rbp), %rax
	movl	$0, %esi
	movq	%rax, %rdi
	movl	$0, %eax
	call	open
	movl	%eax, -60(%rbp)
	.loc 1 41 4
	cmpl	$0, -60(%rbp)
	jne	.L2
	.loc 1 43 8
	movl	$.LC0, %edi
	call	puts
	.loc 1 44 15
	movq	$-1, %rax
	jmp	.L3
.L2:
	.loc 1 48 16
	movl	-60(%rbp), %eax
	movl	$2, %edx
	movl	$0, %esi
	movl	%eax, %edi
	call	lseek
	.loc 1 48 14
	movq	%rax, -56(%rbp)
	.loc 1 52 9
	movq	-56(%rbp), %rax
	.loc 1 52 14
	movq	%rax, %rdx
	subq	$1, %rdx
	movq	%rdx, -72(%rbp)
	movq	%rax, %r14
	movl	$0, %r15d
	movq	%rax, %r12
	movl	$0, %r13d
	movl	$16, %edx
	subq	$1, %rdx
	addq	%rdx, %rax
	movl	$16, %ecx
	movl	$0, %edx
	divq	%rcx
	imulq	$16, %rax, %rax
	subq	%rax, %rsp
	movq	%rsp, %rax
	addq	$0, %rax
	movq	%rax, -80(%rbp)
	.loc 1 53 9
	movq	-56(%rbp), %rdx
	movq	-80(%rbp), %rcx
	movl	-60(%rbp), %eax
	movq	%rcx, %rsi
	movl	%eax, %edi
	call	read
	.loc 1 54 11
	cmpl	$0, -60(%rbp)
	jne	.L4
	.loc 1 56 15
	movl	$.LC1, %edi
	call	puts
	.loc 1 57 22
	movq	$-1, %rax
	jmp	.L3
.L4:
	.loc 1 61 9
	movl	-60(%rbp), %eax
	movl	%eax, %edi
	call	close
	.loc 1 63 16
	movq	-56(%rbp), %rax
.L3:
	movq	%rbx, %rsp
	.loc 1 64 1
	leaq	-40(%rbp), %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE6:
	.size	ProgramSize, .-ProgramSize
	.section	.rodata
.LC2:
	.string	"rb"
	.align 8
.LC3:
	.string	" COULD NOT COMPILE THE SHADERS! "
	.text
	.globl	createShader
	.type	createShader, @function
createShader:
.LFB7:
	.loc 1 70 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movq	%rdi, -24(%rbp)
	movq	%rsi, -32(%rbp)
	.loc 1 79 18
	movq	__glewCreateShaderObjectARB(%rip), %rax
	movl	$1, %edi
	call	*%rax
.LVL0:
	.loc 1 79 16
	movl	%eax, vertShader(%rip)
	.loc 1 80 18
	movq	__glewCreateShaderObjectARB(%rip), %rax
	movl	$1, %edi
	call	*%rax
.LVL1:
	.loc 1 80 16
	movl	%eax, fragShader(%rip)
	.loc 1 84 29
	movq	-24(%rbp), %rax
	movq	%rax, vertShader+16(%rip)
	.loc 1 85 29
	movq	-32(%rbp), %rax
	movq	%rax, fragShader+16(%rip)
	.loc 1 87 49
	movq	vertShader+16(%rip), %rax
	.loc 1 87 33
	movl	$.LC2, %esi
	movq	%rax, %rdi
	call	fopen
	.loc 1 87 31
	movq	%rax, vertShader+8(%rip)
	.loc 1 88 49
	movq	fragShader+16(%rip), %rax
	.loc 1 88 33
	movl	$.LC2, %esi
	movq	%rax, %rdi
	call	fopen
	.loc 1 88 31
	movq	%rax, fragShader+8(%rip)
	.loc 1 91 10
	movq	vertShader+16(%rip), %rax
	movq	%rax, %rdi
	call	ProgramSize
	movq	%rax, -8(%rbp)
	.loc 1 92 10
	movq	fragShader+16(%rip), %rax
	movq	%rax, %rdi
	call	ProgramSize
	movq	%rax, -16(%rbp)
	.loc 1 94 32
	movq	-8(%rbp), %rax
	movq	%rax, %rdi
	call	malloc
	.loc 1 94 20
	movq	%rax, vertShader+24(%rip)
	.loc 1 95 32
	movq	-16(%rbp), %rax
	movq	%rax, %rdi
	call	malloc
	.loc 1 95 20
	movq	%rax, fragShader+24(%rip)
	.loc 1 97 18
	movq	vertShader+8(%rip), %rdx
	.loc 1 97 34
	movq	vertShader+24(%rip), %rax
	.loc 1 97 18
	movq	-8(%rbp), %rsi
	movq	%rdx, %rcx
	movl	$1, %edx
	movq	%rax, %rdi
	call	fread
	.loc 1 97 16
	movl	%eax, vertShader(%rip)
	.loc 1 98 18
	movq	fragShader+8(%rip), %rdx
	.loc 1 98 34
	movq	fragShader+24(%rip), %rax
	.loc 1 98 18
	movq	-16(%rbp), %rsi
	movq	%rdx, %rcx
	movl	$1, %edx
	movq	%rax, %rdi
	call	fread
	.loc 1 98 16
	movl	%eax, fragShader(%rip)
	.loc 1 101 16
	movq	vertShader+24(%rip), %rax
	.loc 1 101 4
	testq	%rax, %rax
	je	.L7
	.loc 1 101 38 discriminator 1
	movq	fragShader+24(%rip), %rax
	.loc 1 101 24 discriminator 1
	testq	%rax, %rax
	jne	.L8
.L7:
	.loc 1 103 17
	movl	$1, %edi
	call	exit
.L8:
	.loc 1 107 2
	movq	__glewShaderSource(%rip), %r8
	movl	vertShader(%rip), %eax
	movl	$0, %ecx
	movl	$vertShader+24, %edx
	movl	$1, %esi
	movl	%eax, %edi
	call	*%r8
.LVL2:
	.loc 1 108 9
	movq	__glewShaderSource(%rip), %r8
	movl	fragShader(%rip), %eax
	movl	$0, %ecx
	movl	$fragShader+24, %edx
	movl	$1, %esi
	movl	%eax, %edi
	call	*%r8
.LVL3:
	.loc 1 111 6
	movl	vertShader(%rip), %eax
	movl	%eax, %edi
	call	compileShader
	.loc 1 111 4
	testl	%eax, %eax
	je	.L9
	.loc 1 111 39 discriminator 1
	movl	fragShader(%rip), %eax
	movl	%eax, %edi
	call	compileShader
	.loc 1 111 35 discriminator 1
	testl	%eax, %eax
	jne	.L10
.L9:
	.loc 1 113 5
	movl	$.LC3, %edi
	call	puts
.L10:
	.loc 1 117 2
	movq	vertShader+8(%rip), %rax
	movq	%rax, %rdi
	call	fclose
	.loc 1 118 2
	movq	fragShader+8(%rip), %rax
	movq	%rax, %rdi
	call	fclose
	.loc 1 121 24
	movq	vertShader+24(%rip), %rax
	.loc 1 121 9
	movq	%rax, %rdi
	call	free
	.loc 1 122 24
	movq	fragShader+24(%rip), %rax
	.loc 1 122 9
	movq	%rax, %rdi
	call	free
	.loc 1 123 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE7:
	.size	createShader, .-createShader
	.section	.rodata
	.align 8
.LC4:
	.string	" COULD NOT COMPILE SHADER: %d \n"
	.text
	.globl	compileShader
	.type	compileShader, @function
compileShader:
.LFB8:
	.loc 1 129 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movl	%edi, -20(%rbp)
	.loc 1 131 2
	movq	__glewCompileShader(%rip), %rdx
	movl	-20(%rbp), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL4:
	.loc 1 132 13
	movl	$33280, -4(%rbp)
	.loc 1 135 2
	movq	__glewGetShaderiv(%rip), %rcx
	leaq	-4(%rbp), %rdx
	movl	-20(%rbp), %eax
	movl	$35713, %esi
	movl	%eax, %edi
	call	*%rcx
.LVL5:
	.loc 1 136 5
	movl	-4(%rbp), %eax
	.loc 1 136 4
	testl	%eax, %eax
	jne	.L12
	.loc 1 138 3
	movl	-20(%rbp), %eax
	movl	%eax, %esi
	movl	$.LC4, %edi
	movl	$0, %eax
	call	printf
	.loc 1 139 3
	movl	-20(%rbp), %eax
	movl	%eax, %edi
	call	outputLog
	.loc 1 140 3
	movq	__glewDeleteShader(%rip), %rdx
	movl	-20(%rbp), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL6:
	.loc 1 141 10
	movl	$-1, %eax
	jmp	.L14
.L12:
	.loc 1 144 9
	movl	-20(%rbp), %eax
.L14:
	.loc 1 145 1 discriminator 1
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE8:
	.size	compileShader, .-compileShader
	.section	.rodata
.LC5:
	.string	" SHADER CONTAINS ERRORS! "
.LC6:
	.string	"%s \n"
	.text
	.globl	outputLog
	.type	outputLog, @function
outputLog:
.LFB9:
	.loc 1 151 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movl	%edi, -20(%rbp)
	.loc 1 152 13
	movl	$33280, -12(%rbp)
	.loc 1 153 13
	movl	$0, -16(%rbp)
	.loc 1 157 2
	movq	__glewGetShaderiv(%rip), %rcx
	leaq	-12(%rbp), %rdx
	movl	-20(%rbp), %eax
	movl	$35716, %esi
	movl	%eax, %edi
	call	*%rcx
.LVL7:
	.loc 1 158 22
	movl	-12(%rbp), %eax
	cltq
	movq	%rax, %rdi
	call	malloc
	movq	%rax, -8(%rbp)
	.loc 1 161 2
	movl	$.LC5, %edi
	call	puts
	.loc 1 162 2
	movq	__glewGetShaderInfoLog(%rip), %r8
	movl	-12(%rbp), %esi
	movq	-8(%rbp), %rcx
	leaq	-16(%rbp), %rdx
	movl	-20(%rbp), %eax
	movl	%eax, %edi
	call	*%r8
.LVL8:
	.loc 1 163 9
	movq	-8(%rbp), %rax
	movq	%rax, %rsi
	movl	$.LC6, %edi
	movl	$0, %eax
	call	printf
	.loc 1 164 9
	movq	-8(%rbp), %rax
	movq	%rax, %rdi
	call	free
	.loc 1 165 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE9:
	.size	outputLog, .-outputLog
	.section	.rodata
.LC7:
	.string	" COULD NOT LINK PROGRAM: "
	.text
	.globl	createProgram
	.type	createProgram, @function
createProgram:
.LFB10:
	.loc 1 171 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movl	%edi, -20(%rbp)
	.loc 1 172 13
	movl	$33280, -4(%rbp)
	.loc 1 173 13
	movl	$0, -8(%rbp)
	.loc 1 176 18
	movq	__glewCreateProgram(%rip), %rax
	call	*%rax
.LVL9:
	movl	%eax, -20(%rbp)
	.loc 1 178 2
	movq	__glewAttachShader(%rip), %rcx
	movl	vertShader(%rip), %edx
	movl	-20(%rbp), %eax
	movl	%edx, %esi
	movl	%eax, %edi
	call	*%rcx
.LVL10:
	.loc 1 179 2
	movq	__glewAttachShader(%rip), %rcx
	movl	fragShader(%rip), %edx
	movl	-20(%rbp), %eax
	movl	%edx, %esi
	movl	%eax, %edi
	call	*%rcx
.LVL11:
	.loc 1 181 2
	movq	__glewLinkProgram(%rip), %rdx
	movl	-20(%rbp), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL12:
	.loc 1 184 2
	movq	__glewGetProgramiv(%rip), %rcx
	leaq	-4(%rbp), %rdx
	movl	-20(%rbp), %eax
	movl	$35714, %esi
	movl	%eax, %edi
	call	*%rcx
.LVL13:
	.loc 1 185 5
	movl	-4(%rbp), %eax
	.loc 1 185 4
	testl	%eax, %eax
	jne	.L17
	.loc 1 188 3
	movq	__glewGetProgramInfoLog(%rip), %r8
	movl	-4(%rbp), %esi
	leaq	-8(%rbp), %rdx
	movl	-20(%rbp), %eax
	movl	$0, %ecx
	movl	%eax, %edi
	call	*%r8
.LVL14:
	.loc 1 189 3
	movl	$.LC7, %edi
	call	puts
	.loc 1 190 3
	movq	__glewDeleteShader(%rip), %rdx
	movl	-20(%rbp), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL15:
	.loc 1 191 10
	movl	$-1, %eax
	jmp	.L19
.L17:
	.loc 1 194 9
	movl	-20(%rbp), %eax
.L19:
	.loc 1 195 1 discriminator 1
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE10:
	.size	createProgram, .-createProgram
	.globl	linkProgram
	.type	linkProgram, @function
linkProgram:
.LFB11:
	.loc 1 201 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
	movl	%edi, -4(%rbp)
	.loc 1 203 2
	movq	__glewLinkProgram(%rip), %rdx
	movl	-4(%rbp), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL16:
	.loc 1 204 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE11:
	.size	linkProgram, .-linkProgram
	.globl	Location
	.type	Location, @function
Location:
.LFB12:
	.loc 1 210 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
	movl	%edi, -4(%rbp)
	movl	%esi, -8(%rbp)
	movq	%rdx, -16(%rbp)
	.loc 1 215 13
	movq	__glewGetAttribLocation(%rip), %rcx
	movq	-16(%rbp), %rdx
	movl	-4(%rbp), %eax
	movq	%rdx, %rsi
	movl	%eax, %edi
	call	*%rcx
.LVL17:
	.loc 1 215 11
	movl	%eax, -8(%rbp)
	.loc 1 221 2
	movq	__glewBindAttribLocation(%rip), %r8
	movq	-16(%rbp), %rdx
	movl	-8(%rbp), %ecx
	movl	-4(%rbp), %eax
	movl	%ecx, %esi
	movl	%eax, %edi
	call	*%r8
.LVL18:
	.loc 1 222 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE12:
	.size	Location, .-Location
	.globl	Uniform
	.type	Uniform, @function
Uniform:
.LFB13:
	.loc 1 228 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
	movl	%edi, -4(%rbp)
	movq	%rsi, -16(%rbp)
	movss	%xmm0, -8(%rbp)
	.loc 1 234 13
	movq	__glewGetUniformLocation(%rip), %rcx
	movq	-16(%rbp), %rdx
	movl	-4(%rbp), %eax
	movq	%rdx, %rsi
	movl	%eax, %edi
	call	*%rcx
.LVL19:
	.loc 1 234 11
	movl	%eax, location(%rip)
	.loc 1 235 2
	movq	__glewUniform1f(%rip), %rdx
	movl	location(%rip), %eax
	movl	%eax, %ecx
	movl	-8(%rbp), %eax
	movd	%eax, %xmm0
	movl	%ecx, %edi
	call	*%rdx
.LVL20:
	.loc 1 236 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE13:
	.size	Uniform, .-Uniform
	.globl	Uniform4x4
	.type	Uniform4x4, @function
Uniform4x4:
.LFB14:
	.loc 1 242 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movl	%edi, -4(%rbp)
	movq	%rsi, -16(%rbp)
	movl	%edx, %eax
	movq	%rcx, -24(%rbp)
	movb	%al, -8(%rbp)
	.loc 1 244 12
	movb	$0, -8(%rbp)
	.loc 1 250 13
	movq	__glewGetUniformLocation(%rip), %rcx
	movq	-16(%rbp), %rdx
	movl	-4(%rbp), %eax
	movq	%rdx, %rsi
	movl	%eax, %edi
	call	*%rcx
.LVL21:
	.loc 1 250 11
	movl	%eax, location(%rip)
	.loc 1 256 2
	movq	__glewUniformMatrix4fv(%rip), %r8
	movzbl	-8(%rbp), %eax
	movzbl	%al, %eax
	movl	location(%rip), %edx
	movl	%edx, %edi
	movq	-24(%rbp), %rdx
	movq	%rdx, %rcx
	movl	%eax, %edx
	movl	$1, %esi
	call	*%r8
.LVL22:
	.loc 1 257 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE14:
	.size	Uniform4x4, .-Uniform4x4
	.globl	Uniform3x3
	.type	Uniform3x3, @function
Uniform3x3:
.LFB15:
	.loc 1 263 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movl	%edi, -4(%rbp)
	movq	%rsi, -16(%rbp)
	movl	%edx, %eax
	movq	%rcx, -24(%rbp)
	movb	%al, -8(%rbp)
	.loc 1 265 12
	movb	$0, -8(%rbp)
	.loc 1 271 13
	movq	__glewGetUniformLocation(%rip), %rcx
	movq	-16(%rbp), %rdx
	movl	-4(%rbp), %eax
	movq	%rdx, %rsi
	movl	%eax, %edi
	call	*%rcx
.LVL23:
	.loc 1 271 11
	movl	%eax, location(%rip)
	.loc 1 277 2
	movq	__glewUniformMatrix3fv(%rip), %r8
	movzbl	-8(%rbp), %eax
	movzbl	%al, %eax
	movl	location(%rip), %edx
	movl	%edx, %edi
	movq	-24(%rbp), %rdx
	movq	%rdx, %rcx
	movl	%eax, %edx
	movl	$1, %esi
	call	*%r8
.LVL24:
	.loc 1 278 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE15:
	.size	Uniform3x3, .-Uniform3x3
	.globl	sendUniform4f
	.type	sendUniform4f, @function
sendUniform4f:
.LFB16:
	.loc 1 285 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movl	%edi, -4(%rbp)
	movq	%rsi, -16(%rbp)
	movss	%xmm0, -8(%rbp)
	movss	%xmm1, -20(%rbp)
	movss	%xmm2, -24(%rbp)
	movss	%xmm3, -28(%rbp)
	.loc 1 286 20
	movq	__glewGetUniformLocation(%rip), %rcx
	movq	-16(%rbp), %rdx
	movl	-4(%rbp), %eax
	movq	%rdx, %rsi
	movl	%eax, %edi
	call	*%rcx
.LVL25:
	.loc 1 286 18
	movl	%eax, location(%rip)
	.loc 1 287 9
	movq	__glewUniform4f(%rip), %rdx
	movl	location(%rip), %eax
	movl	%eax, %ecx
	movss	-28(%rbp), %xmm2
	movss	-24(%rbp), %xmm1
	movss	-20(%rbp), %xmm0
	movl	-8(%rbp), %eax
	movaps	%xmm2, %xmm3
	movaps	%xmm1, %xmm2
	movaps	%xmm0, %xmm1
	movd	%eax, %xmm0
	movl	%ecx, %edi
	call	*%rdx
.LVL26:
	.loc 1 288 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE16:
	.size	sendUniform4f, .-sendUniform4f
	.globl	sendUniform3f
	.type	sendUniform3f, @function
sendUniform3f:
.LFB17:
	.loc 1 295 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movl	%edi, -4(%rbp)
	movq	%rsi, -16(%rbp)
	movss	%xmm0, -8(%rbp)
	movss	%xmm1, -20(%rbp)
	movss	%xmm2, -24(%rbp)
	.loc 1 296 20
	movq	__glewGetUniformLocation(%rip), %rcx
	movq	-16(%rbp), %rdx
	movl	-4(%rbp), %eax
	movq	%rdx, %rsi
	movl	%eax, %edi
	call	*%rcx
.LVL27:
	.loc 1 296 18
	movl	%eax, location(%rip)
	.loc 1 297 9
	movq	__glewUniform3f(%rip), %rdx
	movl	location(%rip), %eax
	movl	%eax, %ecx
	movss	-24(%rbp), %xmm1
	movss	-20(%rbp), %xmm0
	movl	-8(%rbp), %eax
	movaps	%xmm1, %xmm2
	movaps	%xmm0, %xmm1
	movd	%eax, %xmm0
	movl	%ecx, %edi
	call	*%rdx
.LVL28:
	.loc 1 298 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE17:
	.size	sendUniform3f, .-sendUniform3f
	.globl	sendUniform
	.type	sendUniform, @function
sendUniform:
.LFB18:
	.loc 1 304 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
	movl	%edi, -4(%rbp)
	movq	%rsi, -16(%rbp)
	movss	%xmm0, -8(%rbp)
	.loc 1 305 20
	movq	__glewGetUniformLocation(%rip), %rcx
	movq	-16(%rbp), %rdx
	movl	-4(%rbp), %eax
	movq	%rdx, %rsi
	movl	%eax, %edi
	call	*%rcx
.LVL29:
	.loc 1 305 18
	movl	%eax, location(%rip)
	.loc 1 306 9
	movq	__glewUniform1f(%rip), %rdx
	movl	location(%rip), %eax
	movl	%eax, %ecx
	movl	-8(%rbp), %eax
	movd	%eax, %xmm0
	movl	%ecx, %edi
	call	*%rdx
.LVL30:
	.loc 1 307 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE18:
	.size	sendUniform, .-sendUniform
	.globl	bindShader
	.type	bindShader, @function
bindShader:
.LFB19:
	.loc 1 313 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
	movl	%edi, -4(%rbp)
	.loc 1 315 2
	movq	__glewUseProgram(%rip), %rdx
	movl	-4(%rbp), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL31:
	.loc 1 316 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE19:
	.size	bindShader, .-bindShader
	.section	.rodata
.LC8:
	.string	" COULD NOT DELETE SHADER: "
	.text
	.globl	DeleteShader
	.type	DeleteShader, @function
DeleteShader:
.LFB20:
	.loc 1 322 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movl	%edi, -20(%rbp)
	.loc 1 323 13
	movl	$33280, -4(%rbp)
	.loc 1 324 13
	movl	$0, -8(%rbp)
	.loc 1 327 9
	movq	__glewUseProgram(%rip), %rax
	movl	$0, %edi
	call	*%rax
.LVL32:
	.loc 1 330 2
	movq	__glewDetachShader(%rip), %rcx
	movl	vertShader(%rip), %edx
	movl	-20(%rbp), %eax
	movl	%edx, %esi
	movl	%eax, %edi
	call	*%rcx
.LVL33:
	.loc 1 331 2
	movq	__glewDetachShader(%rip), %rcx
	movl	fragShader(%rip), %edx
	movl	-20(%rbp), %eax
	movl	%edx, %esi
	movl	%eax, %edi
	call	*%rcx
.LVL34:
	.loc 1 332 2
	movq	__glewDeleteShader(%rip), %rdx
	movl	vertShader(%rip), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL35:
	.loc 1 333 2
	movq	__glewDeleteShader(%rip), %rdx
	movl	fragShader(%rip), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL36:
	.loc 1 334 2
	movq	__glewDeleteShader(%rip), %rdx
	movl	-20(%rbp), %eax
	movl	%eax, %edi
	call	*%rdx
.LVL37:
	.loc 1 337 2
	movq	__glewGetProgramiv(%rip), %rcx
	leaq	-4(%rbp), %rdx
	movl	-20(%rbp), %eax
	movl	$35712, %esi
	movl	%eax, %edi
	call	*%rcx
.LVL38:
	.loc 1 338 5
	movl	-4(%rbp), %eax
	.loc 1 338 4
	testl	%eax, %eax
	jne	.L31
	.loc 1 341 3
	movq	__glewGetProgramInfoLog(%rip), %r8
	movl	-4(%rbp), %esi
	leaq	-8(%rbp), %rdx
	movl	-20(%rbp), %eax
	movl	$0, %ecx
	movl	%eax, %edi
	call	*%r8
.LVL39:
	.loc 1 342 3
	movl	$.LC8, %edi
	call	puts
.L31:
	.loc 1 344 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE20:
	.size	DeleteShader, .-DeleteShader
.Letext0:
	.file 2 "/usr/lib/gcc/x86_64-redhat-linux/12/include/stddef.h"
	.file 3 "/usr/include/bits/types.h"
	.file 4 "/usr/include/bits/types/struct_FILE.h"
	.file 5 "/usr/include/bits/types/FILE.h"
	.file 6 "/usr/include/stdio.h"
	.file 7 "/usr/include/GL/glew.h"
	.file 8 "/usr/include/stdlib.h"
	.file 9 "/usr/include/unistd.h"
	.file 10 "/usr/include/fcntl.h"
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.long	0xd09
	.value	0x5
	.byte	0x1
	.byte	0x8
	.long	.Ldebug_abbrev0
	.uleb128 0x1c
	.long	.LASF159
	.byte	0x1d
	.long	.LASF0
	.long	.LASF1
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.long	.Ldebug_line0
	.uleb128 0xc
	.long	.LASF9
	.byte	0x2
	.byte	0xd6
	.byte	0x17
	.long	0x3a
	.uleb128 0x8
	.byte	0x8
	.byte	0x7
	.long	.LASF2
	.uleb128 0x8
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x1d
	.byte	0x8
	.uleb128 0x12
	.long	0x48
	.uleb128 0x8
	.byte	0x1
	.byte	0x8
	.long	.LASF4
	.uleb128 0x8
	.byte	0x2
	.byte	0x7
	.long	.LASF5
	.uleb128 0x8
	.byte	0x1
	.byte	0x6
	.long	.LASF6
	.uleb128 0x8
	.byte	0x2
	.byte	0x5
	.long	.LASF7
	.uleb128 0x1e
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x8
	.byte	0x8
	.byte	0x5
	.long	.LASF8
	.uleb128 0xc
	.long	.LASF10
	.byte	0x3
	.byte	0x98
	.byte	0x19
	.long	0x72
	.uleb128 0xc
	.long	.LASF11
	.byte	0x3
	.byte	0x99
	.byte	0x1b
	.long	0x72
	.uleb128 0xc
	.long	.LASF12
	.byte	0x3
	.byte	0xc2
	.byte	0x1b
	.long	0x72
	.uleb128 0x3
	.long	0xa2
	.uleb128 0x8
	.byte	0x1
	.byte	0x6
	.long	.LASF13
	.uleb128 0xd
	.long	0xa2
	.uleb128 0x15
	.long	.LASF104
	.byte	0xd8
	.byte	0x4
	.byte	0x31
	.long	0x234
	.uleb128 0x2
	.long	.LASF14
	.byte	0x4
	.byte	0x33
	.byte	0x7
	.long	0x6b
	.byte	0
	.uleb128 0x2
	.long	.LASF15
	.byte	0x4
	.byte	0x36
	.byte	0x9
	.long	0x9d
	.byte	0x8
	.uleb128 0x2
	.long	.LASF16
	.byte	0x4
	.byte	0x37
	.byte	0x9
	.long	0x9d
	.byte	0x10
	.uleb128 0x2
	.long	.LASF17
	.byte	0x4
	.byte	0x38
	.byte	0x9
	.long	0x9d
	.byte	0x18
	.uleb128 0x2
	.long	.LASF18
	.byte	0x4
	.byte	0x39
	.byte	0x9
	.long	0x9d
	.byte	0x20
	.uleb128 0x2
	.long	.LASF19
	.byte	0x4
	.byte	0x3a
	.byte	0x9
	.long	0x9d
	.byte	0x28
	.uleb128 0x2
	.long	.LASF20
	.byte	0x4
	.byte	0x3b
	.byte	0x9
	.long	0x9d
	.byte	0x30
	.uleb128 0x2
	.long	.LASF21
	.byte	0x4
	.byte	0x3c
	.byte	0x9
	.long	0x9d
	.byte	0x38
	.uleb128 0x2
	.long	.LASF22
	.byte	0x4
	.byte	0x3d
	.byte	0x9
	.long	0x9d
	.byte	0x40
	.uleb128 0x2
	.long	.LASF23
	.byte	0x4
	.byte	0x40
	.byte	0x9
	.long	0x9d
	.byte	0x48
	.uleb128 0x2
	.long	.LASF24
	.byte	0x4
	.byte	0x41
	.byte	0x9
	.long	0x9d
	.byte	0x50
	.uleb128 0x2
	.long	.LASF25
	.byte	0x4
	.byte	0x42
	.byte	0x9
	.long	0x9d
	.byte	0x58
	.uleb128 0x2
	.long	.LASF26
	.byte	0x4
	.byte	0x44
	.byte	0x16
	.long	0x24d
	.byte	0x60
	.uleb128 0x2
	.long	.LASF27
	.byte	0x4
	.byte	0x46
	.byte	0x14
	.long	0x252
	.byte	0x68
	.uleb128 0x2
	.long	.LASF28
	.byte	0x4
	.byte	0x48
	.byte	0x7
	.long	0x6b
	.byte	0x70
	.uleb128 0x2
	.long	.LASF29
	.byte	0x4
	.byte	0x49
	.byte	0x7
	.long	0x6b
	.byte	0x74
	.uleb128 0x2
	.long	.LASF30
	.byte	0x4
	.byte	0x4a
	.byte	0xb
	.long	0x79
	.byte	0x78
	.uleb128 0x2
	.long	.LASF31
	.byte	0x4
	.byte	0x4d
	.byte	0x12
	.long	0x56
	.byte	0x80
	.uleb128 0x2
	.long	.LASF32
	.byte	0x4
	.byte	0x4e
	.byte	0xf
	.long	0x5d
	.byte	0x82
	.uleb128 0x2
	.long	.LASF33
	.byte	0x4
	.byte	0x4f
	.byte	0x8
	.long	0x257
	.byte	0x83
	.uleb128 0x2
	.long	.LASF34
	.byte	0x4
	.byte	0x51
	.byte	0xf
	.long	0x267
	.byte	0x88
	.uleb128 0x2
	.long	.LASF35
	.byte	0x4
	.byte	0x59
	.byte	0xd
	.long	0x85
	.byte	0x90
	.uleb128 0x2
	.long	.LASF36
	.byte	0x4
	.byte	0x5b
	.byte	0x17
	.long	0x271
	.byte	0x98
	.uleb128 0x2
	.long	.LASF37
	.byte	0x4
	.byte	0x5c
	.byte	0x19
	.long	0x27b
	.byte	0xa0
	.uleb128 0x2
	.long	.LASF38
	.byte	0x4
	.byte	0x5d
	.byte	0x14
	.long	0x252
	.byte	0xa8
	.uleb128 0x2
	.long	.LASF39
	.byte	0x4
	.byte	0x5e
	.byte	0x9
	.long	0x48
	.byte	0xb0
	.uleb128 0x2
	.long	.LASF40
	.byte	0x4
	.byte	0x5f
	.byte	0xa
	.long	0x2e
	.byte	0xb8
	.uleb128 0x2
	.long	.LASF41
	.byte	0x4
	.byte	0x60
	.byte	0x7
	.long	0x6b
	.byte	0xc0
	.uleb128 0x2
	.long	.LASF42
	.byte	0x4
	.byte	0x62
	.byte	0x8
	.long	0x280
	.byte	0xc4
	.byte	0
	.uleb128 0xc
	.long	.LASF43
	.byte	0x5
	.byte	0x7
	.byte	0x19
	.long	0xae
	.uleb128 0x1f
	.long	.LASF160
	.byte	0x4
	.byte	0x2b
	.byte	0xe
	.uleb128 0x13
	.long	.LASF44
	.uleb128 0x3
	.long	0x248
	.uleb128 0x3
	.long	0xae
	.uleb128 0x16
	.long	0xa2
	.long	0x267
	.uleb128 0x17
	.long	0x3a
	.byte	0
	.byte	0
	.uleb128 0x3
	.long	0x240
	.uleb128 0x13
	.long	.LASF45
	.uleb128 0x3
	.long	0x26c
	.uleb128 0x13
	.long	.LASF46
	.uleb128 0x3
	.long	0x276
	.uleb128 0x16
	.long	0xa2
	.long	0x290
	.uleb128 0x17
	.long	0x3a
	.byte	0x13
	.byte	0
	.uleb128 0xc
	.long	.LASF47
	.byte	0x6
	.byte	0x4d
	.byte	0x13
	.long	0x91
	.uleb128 0x3
	.long	0x234
	.uleb128 0x12
	.long	0x29c
	.uleb128 0x8
	.byte	0x8
	.byte	0x5
	.long	.LASF48
	.uleb128 0x8
	.byte	0x8
	.byte	0x7
	.long	.LASF49
	.uleb128 0x3
	.long	0xa9
	.uleb128 0x12
	.long	0x2b4
	.uleb128 0x8
	.byte	0x4
	.byte	0x4
	.long	.LASF50
	.uleb128 0xd
	.long	0x2be
	.uleb128 0x8
	.byte	0x8
	.byte	0x4
	.long	.LASF51
	.uleb128 0x8
	.byte	0x10
	.byte	0x4
	.long	.LASF52
	.uleb128 0x4
	.long	.LASF53
	.value	0x123
	.byte	0x16
	.long	0x41
	.uleb128 0x4
	.long	.LASF54
	.value	0x125
	.byte	0x16
	.long	0x41
	.uleb128 0x4
	.long	.LASF55
	.value	0x126
	.byte	0xd
	.long	0x6b
	.uleb128 0xd
	.long	0x2f0
	.uleb128 0x4
	.long	.LASF56
	.value	0x127
	.byte	0xd
	.long	0x6b
	.uleb128 0x4
	.long	.LASF57
	.value	0x128
	.byte	0x17
	.long	0x4f
	.uleb128 0x4
	.long	.LASF58
	.value	0x12e
	.byte	0xf
	.long	0x2be
	.uleb128 0xd
	.long	0x319
	.uleb128 0x4
	.long	.LASF59
	.value	0x144
	.byte	0xe
	.long	0xa2
	.uleb128 0xd
	.long	0x32a
	.uleb128 0x3
	.long	0x325
	.uleb128 0x3
	.long	0x2fc
	.uleb128 0x3
	.long	0x2f0
	.uleb128 0x3
	.long	0x34f
	.uleb128 0xa
	.long	0x364
	.uleb128 0x1
	.long	0x2e4
	.uleb128 0x1
	.long	0x2d8
	.uleb128 0x1
	.long	0x345
	.byte	0
	.uleb128 0x4
	.long	.LASF60
	.value	0x727
	.byte	0x1c
	.long	0x370
	.uleb128 0x3
	.long	0x375
	.uleb128 0xa
	.long	0x385
	.uleb128 0x1
	.long	0x2e4
	.uleb128 0x1
	.long	0x2e4
	.byte	0
	.uleb128 0x4
	.long	.LASF61
	.value	0x728
	.byte	0x1c
	.long	0x391
	.uleb128 0x3
	.long	0x396
	.uleb128 0xa
	.long	0x3ab
	.uleb128 0x1
	.long	0x2e4
	.uleb128 0x1
	.long	0x2e4
	.uleb128 0x1
	.long	0x3ab
	.byte	0
	.uleb128 0x3
	.long	0x336
	.uleb128 0xd
	.long	0x3ab
	.uleb128 0x4
	.long	.LASF62
	.value	0x72a
	.byte	0x1c
	.long	0x3c1
	.uleb128 0x3
	.long	0x3c6
	.uleb128 0xa
	.long	0x3d1
	.uleb128 0x1
	.long	0x2e4
	.byte	0
	.uleb128 0x4
	.long	.LASF63
	.value	0x72b
	.byte	0x1e
	.long	0x3dd
	.uleb128 0x3
	.long	0x3e2
	.uleb128 0x20
	.long	0x2e4
	.uleb128 0x4
	.long	.LASF64
	.value	0x72e
	.byte	0x1c
	.long	0x3c1
	.uleb128 0x4
	.long	.LASF65
	.value	0x72f
	.byte	0x1c
	.long	0x370
	.uleb128 0x3
	.long	0x301
	.uleb128 0x3
	.long	0x32a
	.uleb128 0x4
	.long	.LASF66
	.value	0x736
	.byte	0x1d
	.long	0x415
	.uleb128 0x3
	.long	0x41a
	.uleb128 0x18
	.long	0x2f0
	.long	0x42e
	.uleb128 0x1
	.long	0x2e4
	.uleb128 0x1
	.long	0x3ab
	.byte	0
	.uleb128 0x4
	.long	.LASF67
	.value	0x737
	.byte	0x1c
	.long	0x43a
	.uleb128 0x3
	.long	0x43f
	.uleb128 0xa
	.long	0x459
	.uleb128 0x1
	.long	0x2e4
	.uleb128 0x1
	.long	0x301
	.uleb128 0x1
	.long	0x3ff
	.uleb128 0x1
	.long	0x404
	.byte	0
	.uleb128 0x4
	.long	.LASF68
	.value	0x738
	.byte	0x1c
	.long	0x34a
	.uleb128 0x4
	.long	.LASF69
	.value	0x739
	.byte	0x1c
	.long	0x43a
	.uleb128 0x4
	.long	.LASF70
	.value	0x73b
	.byte	0x1c
	.long	0x34a
	.uleb128 0x4
	.long	.LASF71
	.value	0x73c
	.byte	0x1d
	.long	0x415
	.uleb128 0x4
	.long	.LASF72
	.value	0x745
	.byte	0x1c
	.long	0x3c1
	.uleb128 0x4
	.long	.LASF73
	.value	0x746
	.byte	0x1c
	.long	0x4a1
	.uleb128 0x3
	.long	0x4a6
	.uleb128 0xa
	.long	0x4c0
	.uleb128 0x1
	.long	0x2e4
	.uleb128 0x1
	.long	0x301
	.uleb128 0x1
	.long	0x4c0
	.uleb128 0x1
	.long	0x340
	.byte	0
	.uleb128 0x3
	.long	0x3b0
	.uleb128 0x4
	.long	.LASF74
	.value	0x74a
	.byte	0x1c
	.long	0x4d1
	.uleb128 0x3
	.long	0x4d6
	.uleb128 0xa
	.long	0x4e6
	.uleb128 0x1
	.long	0x2f0
	.uleb128 0x1
	.long	0x319
	.byte	0
	.uleb128 0x4
	.long	.LASF75
	.value	0x752
	.byte	0x1c
	.long	0x4f2
	.uleb128 0x3
	.long	0x4f7
	.uleb128 0xa
	.long	0x511
	.uleb128 0x1
	.long	0x2f0
	.uleb128 0x1
	.long	0x319
	.uleb128 0x1
	.long	0x319
	.uleb128 0x1
	.long	0x319
	.byte	0
	.uleb128 0x4
	.long	.LASF76
	.value	0x756
	.byte	0x1c
	.long	0x51d
	.uleb128 0x3
	.long	0x522
	.uleb128 0xa
	.long	0x541
	.uleb128 0x1
	.long	0x2f0
	.uleb128 0x1
	.long	0x319
	.uleb128 0x1
	.long	0x319
	.uleb128 0x1
	.long	0x319
	.uleb128 0x1
	.long	0x319
	.byte	0
	.uleb128 0x3
	.long	0x546
	.uleb128 0xa
	.long	0x560
	.uleb128 0x1
	.long	0x2f0
	.uleb128 0x1
	.long	0x301
	.uleb128 0x1
	.long	0x30d
	.uleb128 0x1
	.long	0x33b
	.byte	0
	.uleb128 0x4
	.long	.LASF77
	.value	0x75b
	.byte	0x1c
	.long	0x541
	.uleb128 0x4
	.long	.LASF78
	.value	0x75c
	.byte	0x1c
	.long	0x541
	.uleb128 0x4
	.long	.LASF79
	.value	0x75d
	.byte	0x1c
	.long	0x3c1
	.uleb128 0x4
	.long	.LASF80
	.value	0x1a0f
	.byte	0x16
	.long	0x41
	.uleb128 0x4
	.long	.LASF81
	.value	0x1a14
	.byte	0x23
	.long	0x59c
	.uleb128 0x3
	.long	0x5a1
	.uleb128 0x18
	.long	0x584
	.long	0x5b0
	.uleb128 0x1
	.long	0x2d8
	.byte	0
	.uleb128 0x5
	.long	.LASF82
	.value	0x5782
	.byte	0x27
	.long	0x364
	.uleb128 0x5
	.long	.LASF83
	.value	0x5783
	.byte	0x2d
	.long	0x385
	.uleb128 0x5
	.long	.LASF84
	.value	0x5785
	.byte	0x28
	.long	0x3b5
	.uleb128 0x5
	.long	.LASF85
	.value	0x5786
	.byte	0x28
	.long	0x3d1
	.uleb128 0x5
	.long	.LASF86
	.value	0x5789
	.byte	0x27
	.long	0x3e7
	.uleb128 0x5
	.long	.LASF87
	.value	0x578a
	.byte	0x27
	.long	0x3f3
	.uleb128 0x5
	.long	.LASF88
	.value	0x5791
	.byte	0x2c
	.long	0x409
	.uleb128 0x5
	.long	.LASF89
	.value	0x5792
	.byte	0x2c
	.long	0x42e
	.uleb128 0x5
	.long	.LASF90
	.value	0x5793
	.byte	0x27
	.long	0x459
	.uleb128 0x5
	.long	.LASF91
	.value	0x5794
	.byte	0x2b
	.long	0x465
	.uleb128 0x5
	.long	.LASF92
	.value	0x5796
	.byte	0x26
	.long	0x471
	.uleb128 0x5
	.long	.LASF93
	.value	0x5797
	.byte	0x2d
	.long	0x47d
	.uleb128 0x5
	.long	.LASF94
	.value	0x57a0
	.byte	0x26
	.long	0x489
	.uleb128 0x5
	.long	.LASF95
	.value	0x57a1
	.byte	0x27
	.long	0x495
	.uleb128 0x5
	.long	.LASF96
	.value	0x57a5
	.byte	0x24
	.long	0x4c5
	.uleb128 0x5
	.long	.LASF97
	.value	0x57ad
	.byte	0x24
	.long	0x4e6
	.uleb128 0x5
	.long	.LASF98
	.value	0x57b1
	.byte	0x24
	.long	0x511
	.uleb128 0x5
	.long	.LASF99
	.value	0x57b6
	.byte	0x2b
	.long	0x560
	.uleb128 0x5
	.long	.LASF100
	.value	0x57b7
	.byte	0x2b
	.long	0x56c
	.uleb128 0x5
	.long	.LASF101
	.value	0x57b8
	.byte	0x25
	.long	0x578
	.uleb128 0x5
	.long	.LASF102
	.value	0x5abe
	.byte	0x30
	.long	0x590
	.uleb128 0x10
	.long	.LASF103
	.byte	0xb
	.byte	0x8
	.long	0x2e4
	.uleb128 0x9
	.byte	0x3
	.quad	location
	.uleb128 0x15
	.long	.LASF105
	.byte	0x20
	.byte	0x1
	.byte	0x14
	.long	0x701
	.uleb128 0x21
	.string	"id"
	.byte	0x1
	.byte	0x16
	.byte	0x16
	.long	0x41
	.byte	0
	.uleb128 0x2
	.long	.LASF106
	.byte	0x1
	.byte	0x17
	.byte	0x8
	.long	0x29c
	.byte	0x8
	.uleb128 0x2
	.long	.LASF107
	.byte	0x1
	.byte	0x18
	.byte	0x10
	.long	0x3ab
	.byte	0x10
	.uleb128 0x2
	.long	.LASF108
	.byte	0x1
	.byte	0x19
	.byte	0x11
	.long	0x404
	.byte	0x18
	.byte	0
	.uleb128 0x10
	.long	.LASF109
	.byte	0x1b
	.byte	0x2
	.long	0x6c1
	.uleb128 0x9
	.byte	0x3
	.quad	vertShader
	.uleb128 0x10
	.long	.LASF110
	.byte	0x1b
	.byte	0xe
	.long	0x6c1
	.uleb128 0x9
	.byte	0x3
	.quad	fragShader
	.uleb128 0x10
	.long	.LASF111
	.byte	0x1d
	.byte	0xe
	.long	0x41
	.uleb128 0x9
	.byte	0x3
	.quad	shaderProgram
	.uleb128 0xb
	.long	.LASF112
	.byte	0x6
	.value	0x164
	.byte	0xc
	.long	0x6b
	.long	0x758
	.uleb128 0x1
	.long	0x2b4
	.uleb128 0x19
	.byte	0
	.uleb128 0x22
	.long	.LASF161
	.byte	0x8
	.value	0x22b
	.byte	0xd
	.long	0x76b
	.uleb128 0x1
	.long	0x48
	.byte	0
	.uleb128 0x1a
	.long	.LASF113
	.byte	0x6
	.byte	0xb2
	.long	0x6b
	.long	0x780
	.uleb128 0x1
	.long	0x29c
	.byte	0
	.uleb128 0x23
	.long	.LASF114
	.byte	0x8
	.value	0x270
	.byte	0xd
	.long	0x793
	.uleb128 0x1
	.long	0x6b
	.byte	0
	.uleb128 0xb
	.long	.LASF115
	.byte	0x6
	.value	0x2a3
	.byte	0xf
	.long	0x2e
	.long	0x7b9
	.uleb128 0x1
	.long	0x4a
	.uleb128 0x1
	.long	0x2e
	.uleb128 0x1
	.long	0x2e
	.uleb128 0x1
	.long	0x2a1
	.byte	0
	.uleb128 0xb
	.long	.LASF116
	.byte	0x8
	.value	0x21c
	.byte	0xe
	.long	0x48
	.long	0x7d0
	.uleb128 0x1
	.long	0x2e
	.byte	0
	.uleb128 0xb
	.long	.LASF117
	.byte	0x6
	.value	0x102
	.byte	0xe
	.long	0x29c
	.long	0x7ec
	.uleb128 0x1
	.long	0x2b9
	.uleb128 0x1
	.long	0x2b9
	.byte	0
	.uleb128 0xb
	.long	.LASF118
	.byte	0x9
	.value	0x166
	.byte	0xc
	.long	0x6b
	.long	0x803
	.uleb128 0x1
	.long	0x6b
	.byte	0
	.uleb128 0xb
	.long	.LASF119
	.byte	0x9
	.value	0x173
	.byte	0x10
	.long	0x290
	.long	0x824
	.uleb128 0x1
	.long	0x6b
	.uleb128 0x1
	.long	0x48
	.uleb128 0x1
	.long	0x2e
	.byte	0
	.uleb128 0xb
	.long	.LASF120
	.byte	0x9
	.value	0x153
	.byte	0x10
	.long	0x79
	.long	0x845
	.uleb128 0x1
	.long	0x6b
	.uleb128 0x1
	.long	0x79
	.uleb128 0x1
	.long	0x6b
	.byte	0
	.uleb128 0x1a
	.long	.LASF121
	.byte	0xa
	.byte	0xd1
	.long	0x6b
	.long	0x860
	.uleb128 0x1
	.long	0x2b4
	.uleb128 0x1
	.long	0x6b
	.uleb128 0x19
	.byte	0
	.uleb128 0xe
	.long	.LASF124
	.value	0x141
	.quad	.LFB20
	.quad	.LFE20-.LFB20
	.uleb128 0x1
	.byte	0x9c
	.long	0x8a9
	.uleb128 0x7
	.long	.LASF111
	.value	0x141
	.byte	0x20
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x1b
	.long	.LASF122
	.value	0x143
	.long	0x6b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x1b
	.long	.LASF123
	.value	0x144
	.long	0x6b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.byte	0
	.uleb128 0xe
	.long	.LASF125
	.value	0x138
	.quad	.LFB19
	.quad	.LFE19-.LFB19
	.uleb128 0x1
	.byte	0x9c
	.long	0x8d6
	.uleb128 0x7
	.long	.LASF111
	.value	0x138
	.byte	0x1e
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.byte	0
	.uleb128 0xe
	.long	.LASF126
	.value	0x12f
	.quad	.LFB18
	.quad	.LFE18-.LFB18
	.uleb128 0x1
	.byte	0x9c
	.long	0x921
	.uleb128 0x7
	.long	.LASF111
	.value	0x12f
	.byte	0x1f
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x7
	.long	.LASF127
	.value	0x12f
	.byte	0x3a
	.long	0x2b4
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x7
	.long	.LASF128
	.value	0x12f
	.byte	0x4c
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.byte	0
	.uleb128 0xe
	.long	.LASF129
	.value	0x125
	.quad	.LFB17
	.quad	.LFE17-.LFB17
	.uleb128 0x1
	.byte	0x9c
	.long	0x984
	.uleb128 0x7
	.long	.LASF111
	.value	0x125
	.byte	0x21
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x7
	.long	.LASF127
	.value	0x125
	.byte	0x3c
	.long	0x2b4
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x11
	.string	"x"
	.value	0x126
	.byte	0x21
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x11
	.string	"y"
	.value	0x126
	.byte	0x30
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x11
	.string	"z"
	.value	0x126
	.byte	0x3f
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -40
	.byte	0
	.uleb128 0xe
	.long	.LASF130
	.value	0x11b
	.quad	.LFB16
	.quad	.LFE16-.LFB16
	.uleb128 0x1
	.byte	0x9c
	.long	0x9fc
	.uleb128 0x7
	.long	.LASF111
	.value	0x11b
	.byte	0x21
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x7
	.long	.LASF127
	.value	0x11b
	.byte	0x3c
	.long	0x2b4
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x11
	.string	"red"
	.value	0x11c
	.byte	0x17
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x7
	.long	.LASF131
	.value	0x11c
	.byte	0x28
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x7
	.long	.LASF132
	.value	0x11c
	.byte	0x3b
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x7
	.long	.LASF133
	.value	0x11c
	.byte	0x4d
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -44
	.byte	0
	.uleb128 0xe
	.long	.LASF134
	.value	0x106
	.quad	.LFB15
	.quad	.LFE15-.LFB15
	.uleb128 0x1
	.byte	0x9c
	.long	0xa56
	.uleb128 0x7
	.long	.LASF111
	.value	0x106
	.byte	0x1e
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x7
	.long	.LASF127
	.value	0x106
	.byte	0x39
	.long	0x2b4
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x7
	.long	.LASF135
	.value	0x106
	.byte	0x44
	.long	0xa2
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x7
	.long	.LASF136
	.value	0x106
	.byte	0x5c
	.long	0xa56
	.uleb128 0x2
	.byte	0x91
	.sleb128 -40
	.byte	0
	.uleb128 0x3
	.long	0x2c5
	.uleb128 0xf
	.long	.LASF137
	.byte	0xf1
	.quad	.LFB14
	.quad	.LFE14-.LFB14
	.uleb128 0x1
	.byte	0x9c
	.long	0xab0
	.uleb128 0x6
	.long	.LASF111
	.byte	0xf1
	.byte	0x1e
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x6
	.long	.LASF127
	.byte	0xf1
	.byte	0x39
	.long	0x2b4
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x6
	.long	.LASF135
	.byte	0xf1
	.byte	0x44
	.long	0xa2
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x6
	.long	.LASF136
	.byte	0xf1
	.byte	0x5c
	.long	0xa56
	.uleb128 0x2
	.byte	0x91
	.sleb128 -40
	.byte	0
	.uleb128 0xf
	.long	.LASF138
	.byte	0xe3
	.quad	.LFB13
	.quad	.LFE13-.LFB13
	.uleb128 0x1
	.byte	0x9c
	.long	0xaf7
	.uleb128 0x6
	.long	.LASF111
	.byte	0xe3
	.byte	0x1b
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x6
	.long	.LASF127
	.byte	0xe3
	.byte	0x36
	.long	0x2b4
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x6
	.long	.LASF136
	.byte	0xe3
	.byte	0x48
	.long	0x2c5
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.byte	0
	.uleb128 0xf
	.long	.LASF139
	.byte	0xd1
	.quad	.LFB12
	.quad	.LFE12-.LFB12
	.uleb128 0x1
	.byte	0x9c
	.long	0xb3e
	.uleb128 0x6
	.long	.LASF111
	.byte	0xd1
	.byte	0x1c
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x6
	.long	.LASF103
	.byte	0xd1
	.byte	0x38
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x6
	.long	.LASF127
	.byte	0xd1
	.byte	0x4e
	.long	0x2b4
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.byte	0
	.uleb128 0xf
	.long	.LASF140
	.byte	0xc8
	.quad	.LFB11
	.quad	.LFE11-.LFB11
	.uleb128 0x1
	.byte	0x9c
	.long	0xb69
	.uleb128 0x6
	.long	.LASF111
	.byte	0xc8
	.byte	0x1f
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.byte	0
	.uleb128 0x14
	.long	.LASF146
	.byte	0xaa
	.byte	0x5
	.long	0x6b
	.quad	.LFB10
	.quad	.LFE10-.LFB10
	.uleb128 0x1
	.byte	0x9c
	.long	0xbb5
	.uleb128 0x6
	.long	.LASF111
	.byte	0xaa
	.byte	0x20
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x9
	.long	.LASF141
	.byte	0xac
	.byte	0xd
	.long	0x6b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x9
	.long	.LASF123
	.byte	0xad
	.byte	0xd
	.long	0x6b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.byte	0
	.uleb128 0xf
	.long	.LASF142
	.byte	0x96
	.quad	.LFB9
	.quad	.LFE9-.LFB9
	.uleb128 0x1
	.byte	0x9c
	.long	0xc0a
	.uleb128 0x6
	.long	.LASF143
	.byte	0x96
	.byte	0x1d
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x9
	.long	.LASF144
	.byte	0x98
	.byte	0xd
	.long	0x6b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -28
	.uleb128 0x9
	.long	.LASF123
	.byte	0x99
	.byte	0xd
	.long	0x6b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x9
	.long	.LASF145
	.byte	0x9a
	.byte	0x11
	.long	0x404
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.byte	0
	.uleb128 0x14
	.long	.LASF147
	.byte	0x80
	.byte	0x5
	.long	0x6b
	.quad	.LFB8
	.quad	.LFE8-.LFB8
	.uleb128 0x1
	.byte	0x9c
	.long	0xc48
	.uleb128 0x6
	.long	.LASF143
	.byte	0x80
	.byte	0x20
	.long	0x41
	.uleb128 0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x9
	.long	.LASF148
	.byte	0x84
	.byte	0xd
	.long	0x6b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.byte	0
	.uleb128 0xf
	.long	.LASF149
	.byte	0x45
	.quad	.LFB7
	.quad	.LFE7-.LFB7
	.uleb128 0x1
	.byte	0x9c
	.long	0xc9d
	.uleb128 0x6
	.long	.LASF150
	.byte	0x45
	.byte	0x21
	.long	0x3ab
	.uleb128 0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x6
	.long	.LASF151
	.byte	0x45
	.byte	0x35
	.long	0x3ab
	.uleb128 0x2
	.byte	0x91
	.sleb128 -48
	.uleb128 0x9
	.long	.LASF152
	.byte	0x47
	.byte	0x10
	.long	0x2e
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x9
	.long	.LASF153
	.byte	0x48
	.byte	0x10
	.long	0x2e
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.byte	0
	.uleb128 0x14
	.long	.LASF154
	.byte	0x22
	.byte	0x8
	.long	0x2e
	.quad	.LFB6
	.quad	.LFE6-.LFB6
	.uleb128 0x1
	.byte	0x9c
	.long	0xcfc
	.uleb128 0x6
	.long	.LASF155
	.byte	0x22
	.byte	0x22
	.long	0x3ab
	.uleb128 0x3
	.byte	0x91
	.sleb128 -104
	.uleb128 0x9
	.long	.LASF156
	.byte	0x24
	.byte	0xd
	.long	0x6b
	.uleb128 0x3
	.byte	0x91
	.sleb128 -76
	.uleb128 0x9
	.long	.LASF157
	.byte	0x25
	.byte	0x10
	.long	0x2e
	.uleb128 0x3
	.byte	0x91
	.sleb128 -72
	.uleb128 0x9
	.long	.LASF158
	.byte	0x34
	.byte	0xe
	.long	0xcfc
	.uleb128 0x4
	.byte	0x91
	.sleb128 -96
	.byte	0x6
	.byte	0
	.uleb128 0x24
	.long	0xa2
	.uleb128 0x25
	.long	0x3a
	.uleb128 0x4
	.byte	0x91
	.sleb128 -88
	.byte	0x6
	.byte	0
	.byte	0
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.uleb128 0x1
	.uleb128 0x5
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x2
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x3
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0x21
	.sleb128 8
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x4
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 7
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x5
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 7
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x6
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x7
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x8
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x9
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0xa
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xb
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xc
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xd
	.uleb128 0x26
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xe
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 6
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xf
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 6
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x10
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x11
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x12
	.uleb128 0x37
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x13
	.uleb128 0x13
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x14
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x15
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 8
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x16
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x17
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x18
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x19
	.uleb128 0x18
	.byte	0
	.byte	0
	.byte	0
	.uleb128 0x1a
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 12
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1b
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 13
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x1c
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x1f
	.uleb128 0x1b
	.uleb128 0x1f
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x10
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x1d
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x1e
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0
	.byte	0
	.uleb128 0x1f
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x20
	.uleb128 0x15
	.byte	0
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x21
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x22
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x23
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x87
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x24
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x25
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0x18
	.byte	0
	.byte	0
	.byte	0
	.section	.debug_aranges,"",@progbits
	.long	0x2c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x8
	.byte	0
	.value	0
	.value	0
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.section	.debug_str,"MS",@progbits,1
.LASF112:
	.string	"printf"
.LASF128:
	.string	"scalar"
.LASF54:
	.string	"GLuint"
.LASF15:
	.string	"_IO_read_ptr"
.LASF116:
	.string	"malloc"
.LASF9:
	.string	"size_t"
.LASF134:
	.string	"Uniform3x3"
.LASF101:
	.string	"__glewUseProgram"
.LASF149:
	.string	"createShader"
.LASF33:
	.string	"_shortbuf"
.LASF118:
	.string	"close"
.LASF81:
	.string	"PFNGLCREATESHADEROBJECTARBPROC"
.LASF97:
	.string	"__glewUniform3f"
.LASF86:
	.string	"__glewDeleteShader"
.LASF21:
	.string	"_IO_buf_base"
.LASF49:
	.string	"long long unsigned int"
.LASF70:
	.string	"PFNGLGETSHADERIVPROC"
.LASF76:
	.string	"PFNGLUNIFORM4FPROC"
.LASF105:
	.string	"shader"
.LASF161:
	.string	"free"
.LASF36:
	.string	"_codecvt"
.LASF155:
	.string	"ShaderFile"
.LASF48:
	.string	"long long int"
.LASF6:
	.string	"signed char"
.LASF133:
	.string	"alpha"
.LASF125:
	.string	"bindShader"
.LASF79:
	.string	"PFNGLUSEPROGRAMPROC"
.LASF28:
	.string	"_fileno"
.LASF16:
	.string	"_IO_read_end"
.LASF98:
	.string	"__glewUniform4f"
.LASF8:
	.string	"long int"
.LASF14:
	.string	"_flags"
.LASF95:
	.string	"__glewShaderSource"
.LASF60:
	.string	"PFNGLATTACHSHADERPROC"
.LASF22:
	.string	"_IO_buf_end"
.LASF31:
	.string	"_cur_column"
.LASF139:
	.string	"Location"
.LASF82:
	.string	"__glewAttachShader"
.LASF46:
	.string	"_IO_wide_data"
.LASF58:
	.string	"GLfloat"
.LASF51:
	.string	"double"
.LASF30:
	.string	"_old_offset"
.LASF35:
	.string	"_offset"
.LASF56:
	.string	"GLsizei"
.LASF88:
	.string	"__glewGetAttribLocation"
.LASF83:
	.string	"__glewBindAttribLocation"
.LASF78:
	.string	"PFNGLUNIFORMMATRIX4FVPROC"
.LASF143:
	.string	"shaderID"
.LASF124:
	.string	"DeleteShader"
.LASF136:
	.string	"matrix"
.LASF122:
	.string	"deletStatus"
.LASF126:
	.string	"sendUniform"
.LASF44:
	.string	"_IO_marker"
.LASF144:
	.string	"infoLen"
.LASF3:
	.string	"unsigned int"
.LASF39:
	.string	"_freeres_buf"
.LASF102:
	.string	"__glewCreateShaderObjectARB"
.LASF2:
	.string	"long unsigned int"
.LASF19:
	.string	"_IO_write_ptr"
.LASF127:
	.string	"name"
.LASF85:
	.string	"__glewCreateProgram"
.LASF92:
	.string	"__glewGetShaderiv"
.LASF157:
	.string	"size"
.LASF110:
	.string	"fragShader"
.LASF67:
	.string	"PFNGLGETPROGRAMINFOLOGPROC"
.LASF91:
	.string	"__glewGetShaderInfoLog"
.LASF12:
	.string	"__ssize_t"
.LASF23:
	.string	"_IO_save_base"
.LASF147:
	.string	"compileShader"
.LASF55:
	.string	"GLint"
.LASF34:
	.string	"_lock"
.LASF64:
	.string	"PFNGLDELETESHADERPROC"
.LASF74:
	.string	"PFNGLUNIFORM1FPROC"
.LASF29:
	.string	"_flags2"
.LASF41:
	.string	"_mode"
.LASF59:
	.string	"GLchar"
.LASF90:
	.string	"__glewGetProgramiv"
.LASF66:
	.string	"PFNGLGETATTRIBLOCATIONPROC"
.LASF57:
	.string	"GLboolean"
.LASF108:
	.string	"source"
.LASF142:
	.string	"outputLog"
.LASF52:
	.string	"long double"
.LASF121:
	.string	"open"
.LASF107:
	.string	"filename"
.LASF93:
	.string	"__glewGetUniformLocation"
.LASF20:
	.string	"_IO_write_end"
.LASF63:
	.string	"PFNGLCREATEPROGRAMPROC"
.LASF160:
	.string	"_IO_lock_t"
.LASF141:
	.string	"linkStatus"
.LASF104:
	.string	"_IO_FILE"
.LASF140:
	.string	"linkProgram"
.LASF61:
	.string	"PFNGLBINDATTRIBLOCATIONPROC"
.LASF10:
	.string	"__off_t"
.LASF100:
	.string	"__glewUniformMatrix4fv"
.LASF50:
	.string	"float"
.LASF117:
	.string	"fopen"
.LASF151:
	.string	"frag"
.LASF94:
	.string	"__glewLinkProgram"
.LASF26:
	.string	"_markers"
.LASF72:
	.string	"PFNGLLINKPROGRAMPROC"
.LASF115:
	.string	"fread"
.LASF4:
	.string	"unsigned char"
.LASF69:
	.string	"PFNGLGETSHADERINFOLOGPROC"
.LASF65:
	.string	"PFNGLDETACHSHADERPROC"
.LASF109:
	.string	"vertShader"
.LASF7:
	.string	"short int"
.LASF111:
	.string	"shaderProgram"
.LASF27:
	.string	"_chain"
.LASF32:
	.string	"_vtable_offset"
.LASF43:
	.string	"FILE"
.LASF114:
	.string	"exit"
.LASF68:
	.string	"PFNGLGETPROGRAMIVPROC"
.LASF89:
	.string	"__glewGetProgramInfoLog"
.LASF156:
	.string	"programFile"
.LASF73:
	.string	"PFNGLSHADERSOURCEPROC"
.LASF106:
	.string	"sourceFile"
.LASF103:
	.string	"location"
.LASF132:
	.string	"blue"
.LASF150:
	.string	"vert"
.LASF13:
	.string	"char"
.LASF77:
	.string	"PFNGLUNIFORMMATRIX3FVPROC"
.LASF154:
	.string	"ProgramSize"
.LASF53:
	.string	"GLenum"
.LASF87:
	.string	"__glewDetachShader"
.LASF96:
	.string	"__glewUniform1f"
.LASF113:
	.string	"fclose"
.LASF45:
	.string	"_IO_codecvt"
.LASF152:
	.string	"size1"
.LASF153:
	.string	"size2"
.LASF62:
	.string	"PFNGLCOMPILESHADERPROC"
.LASF11:
	.string	"__off64_t"
.LASF159:
	.string	"GNU C11 12.2.1 20220819 (Red Hat 12.2.1-2) -mmmx -msse -msse2 -mssse3 -mtune=generic -march=x86-64 -g2 -ggdb -O0 -std=gnu11"
.LASF17:
	.string	"_IO_read_base"
.LASF145:
	.string	"infoLog"
.LASF25:
	.string	"_IO_save_end"
.LASF5:
	.string	"short unsigned int"
.LASF158:
	.string	"ShaderBuffer"
.LASF47:
	.string	"ssize_t"
.LASF40:
	.string	"__pad5"
.LASF137:
	.string	"Uniform4x4"
.LASF129:
	.string	"sendUniform3f"
.LASF42:
	.string	"_unused2"
.LASF123:
	.string	"status"
.LASF131:
	.string	"green"
.LASF146:
	.string	"createProgram"
.LASF24:
	.string	"_IO_backup_base"
.LASF135:
	.string	"transpose"
.LASF120:
	.string	"lseek"
.LASF119:
	.string	"read"
.LASF38:
	.string	"_freeres_list"
.LASF80:
	.string	"GLhandleARB"
.LASF37:
	.string	"_wide_data"
.LASF99:
	.string	"__glewUniformMatrix3fv"
.LASF71:
	.string	"PFNGLGETUNIFORMLOCATIONPROC"
.LASF18:
	.string	"_IO_write_base"
.LASF84:
	.string	"__glewCompileShader"
.LASF138:
	.string	"Uniform"
.LASF148:
	.string	"result"
.LASF130:
	.string	"sendUniform4f"
.LASF75:
	.string	"PFNGLUNIFORM3FPROC"
	.section	.debug_line_str,"MS",@progbits,1
.LASF0:
	.string	"CONF/uniform.c"
.LASF1:
	.string	"/var/home/ehret/DEVELOP/3D/FLYSIMU/C"
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
